Bug 255569 - security/p5-Crypt-Argon2: Update to 0.011
Summary: security/p5-Crypt-Argon2: Update to 0.011
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Nuno Teixeira
URL: https://metacpan.org/changes/release/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-03 14:50 UTC by Sergei Vyshenski
Modified: 2021-05-11 06:51 UTC (History)
2 users (show)

See Also:


Attachments
"git diff" to update the port (959 bytes, patch)
2021-05-03 14:50 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2021-05-03 14:50:15 UTC
Created attachment 224631 [details]
"git diff" to update the port

- Update 0.010 -> 0.011
Changes: https://metacpan.org/changes/release/LEONT/Crypt-Argon2-0.011
- "portlint -AC" gives non-relevant warnings.
- "portclippy Makefile" is happy.
- Tested with:
13.0-RELEASE
pkg 1.16.3
poudriere 3.3.6
perl 5.32.1
openssl 1.1.1k
ssl=base
- built-in perl tests in a clean poudriere jail say PASS.
Comment 1 Nuno Teixeira freebsd_committer 2021-05-10 09:27:32 UTC
(In reply to Sergei Vyshenski from comment #0)
Hello!

Could you explain to me how to: " built-in perl tests in a clean poudriere jail say PASS." run this tests?
Comment 2 Sergei Vyshenski 2021-05-10 13:32:04 UTC
Hi,

Yes, I can.

1) on the mother host:

# cd /usr/ports/security/p5-Crypt-Argon2

- edit the port

# cp -pR /usr/ports/security/p5-Crypt-Argon2 /usr/local/poudriere/ports/default/security/

- create jail named say j13 to be used with poudriere. Something like:

# poudriere jail -c -j j13 -v 13.0-RELEASE

- then test the port with poudriere in interactive mode (-i):

# poudriere testport -j j13 -v -i -o security/p5-Crypt-Argon2

- after that you get root console inside jail j13 with the port and all its dependencies already built.

2) in the jail j13:

root@j13-default:~ # cd /usr/ports/security/p5-Crypt-Argon2
root@j13-default:/usr/ports/security/p5-Crypt-Argon2 # make test

- read some lines until the last one, which is "Result: PASS".

- to return from jail j13 to the mother host type:

root@j13-default:/usr/ports/security/p5-Crypt-Argon2 # exit

This is what I meant with a phrase "built-in perl tests in a clean poudriere jail say PASS".

Hope this is what you are asking about?
Comment 3 Nuno Teixeira freebsd_committer 2021-05-11 06:31:32 UTC
Hello!

Yes I understand this test now and I will use it as an extra step to test ports.

Thanks for explaining it to me!
Comment 4 commit-hook freebsd_committer 2021-05-11 06:50:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9801697b97354dd7db8b2f17fd457c9aadd067d6

commit 9801697b97354dd7db8b2f17fd457c9aadd067d6
Author:     Nuno Teixeira <eduardo@FreeBSD.org>
AuthorDate: 2021-05-11 06:46:09 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-05-11 06:49:10 +0000

    security/p5-Crypt-Argon2: Update to 0.011

    - Use DISTVERSION instead of PORTVERSION

    ChangeLog: https://metacpan.org/changes/release/LEONT/Crypt-Argon2-0.011

    PR:             255569
    Reported by:    Sergei Vyshenski <svysh.fbsd@gmail.com> (maintainer)
    Approved by:    dbaio, garga (mentors, implicit)

 security/p5-Crypt-Argon2/Makefile | 2 +-
 security/p5-Crypt-Argon2/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 5 Nuno Teixeira freebsd_committer 2021-05-11 06:51:13 UTC
Commited thanks!